Kirjoittaja Aihe: Canon i-sensys LBP 2900 kirjoittimen asennus Ubuntuun 20.04.2 LTS 64-bit.  (Luettu 337 kertaa)

Espi53

  • Käyttäjä
  • Viestejä: 4
    • Profiili
Asennettu aikoinaan Ubuntuun (12.04 LTS 32 bit.) päätteeltä palstalta löytämieni mallikomentorivien avulla. Nykyinen versio koneessa on 18.04.5 LTS , jolla kirjoitin edelleen toimii hyvin.
Nyt kirjoitin pitäisi saada toimimaan myös uudessa koneessa (Ubuntu 20.04.2 LTS 64-bit.)
Asensin  Canonin sivuilta löytyneen ajurin (linux-capt-drv-v271-uken.tar.gz) klikkailemalla sitä pakettien hallinnassa. Lopuksi päädyttiin kahteen tiedostoon (cndrvcups-capt_2.71-1_amd64.deb ja cndrvcups-common_3.21-1_amd64.deb), jotka kone pyysi asentamaan. Näin tiedot kulkeutuivat kirjoittimien ajurivalikoimaan, josta valitsin oikean tyypin kirjottimelle. Kirjoitin on kytketty usb-johdolla koneeseen.
Testisivu lähetetty työnä -ilmoitus tulee, ei kuitenkaan näy tulostusjonossa.
Koneen ja kirjoittimen välinen yhteysongelma,  CUPS?
Pitäsikö asennusta täydentää/ korjata vai tehdä kokonaan uusi ja millä tavalla?






 
« Viimeksi muokattu: 18.02.21 - klo:13.05 kirjoittanut Espi53 »

JJK

  • Käyttäjä
  • Viestejä: 339
  • Ubuntu Mate 20.04
    • Profiili
Mitä CUPS näyttää jonosta?

http://localhost:631/jobs/

Espi53

  • Käyttäjä
  • Viestejä: 4
    • Profiili
CUPS-palvelin:  /run/cups/cups.sock    Tämä polku on sama vanhassa ja uudessa koneessa.
Laitteen URI:  usb://Canon/LBP2900?serial=0000b283AGAq   uudessa koneessa ja   ccp://localhost:59687    vanhassa koneessa.
Näitäkö tarkoitit?

Tässä vielä lisää linkkisivulla olevaa  tiedostoa:

LBP2900
LBP2900 (Idle, Accepting Jobs, Not Shared, Server Default)
Description:   Canon LBP2900
Location:   
Driver:   Canon LBP2900 CAPT ver.1.5 (grayscale)
Connection:   usb://Canon/LBP2900?serial=0000b283AGAq
Defaults:   job-sheets=none, none media=iso_a4_210x297mm sides=one-sided
« Viimeksi muokattu: 19.02.21 - klo:18.12 kirjoittanut Espi53 »

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 466
    • Profiili
Olisiko tästä jotakin apua?
Huhtikuulta 2020 löytyi sivusto:  https://anhdowastaken.com/blog/posts/make-canon-lbp-2900-to-work-with-cups/
Koskapa tarjolla lienee nimenomaan 64-bittiseen järjestelmään Canon:in ajurit, ei ole tarvetta noutaa tukea i386 paketeille 64-bittiseen järjestelmään.
Install the driver then add printer:
$ sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59787
$ sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
$ sudo /etc/init.d/ccpd start


Jos jostakin syystä i:386 paketeille olisi tarvetta, niitäkin löytyy:
$ sudo dpkg --add-architecture i386
$ sudo apt-get update
$ sudo apt-get install libatk1.0-0:i386 libcairo2:i386 libgtk2.0-0:i386 libpango1.0-0:i386 libstdc++6:i386 libxml2:i386 libpopt0:i386


Palveluiden uudeenkäynnistys:
Restart all services:
$ sudo killall ccpd
$ sudo systemctl restart cups
$ sudo /etc/init.d/ccpd start


nm

  • Käyttäjä
  • Viestejä: 13989
    • Profiili
Olisiko tästä jotakin apua?
Huhtikuulta 2020 löytyi sivusto:  https://anhdowastaken.com/blog/posts/make-canon-lbp-2900-to-work-with-cups/
Koskapa tarjolla lienee nimenomaan 64-bittiseen järjestelmään Canon:in ajurit, ei ole tarvetta noutaa tukea i386 paketeille 64-bittiseen järjestelmään.

Kyseisen Canonin ajurin tapauksessa nimenomaan voi olla tarpeen asentaa 32-bittisiä paketteja, kuten tuolla blogiartikkelissa neuvotaan, koska ajurissa on vanhoja 32-bittisiä osia, ja tarvittavat riippuvuudet on määritelty puutteellisesti. Kannattaa siis kokeilla artikkelin neuvoa.